import 'package:get/get.dart';
import 'package:wallpaperx/page/about/about_binding.dart';
import 'package:wallpaperx/page/about/about_view.dart';
import 'package:wallpaperx/page/ai_setting/ai_setting_binding.dart';
import 'package:wallpaperx/page/ai_setting/ai_setting_view.dart';
import 'package:wallpaperx/page/category/category_binding.dart';
import 'package:wallpaperx/page/category/category_view.dart';
import 'package:wallpaperx/page/cls_det/cls_det_binding.dart';
import 'package:wallpaperx/page/cls_det/cls_det_view.dart';
import 'package:wallpaperx/page/feed_back/feed_back_binding.dart';
import 'package:wallpaperx/page/feed_back/feed_back_view.dart';
import 'package:wallpaperx/page/home/home_binding.dart';
import 'package:wallpaperx/page/home/home_view.dart';
import 'package:wallpaperx/page/login/login_binding.dart';
import 'package:wallpaperx/page/login/login_view.dart';
import 'package:wallpaperx/page/search/search_binding.dart';
import 'package:wallpaperx/page/search/search_view.dart';
import 'package:wallpaperx/page/splash_screen/splash_screen_binding.dart';
import 'package:wallpaperx/page/splash_screen/splash_screen_view.dart';
import 'package:wallpaperx/page/user_edit/user_edit_binding.dart';
import 'package:wallpaperx/page/user_edit/user_edit_view.dart';
import 'package:wallpaperx/page/wallpaper_det/wallpaper_det_binding.dart';
import 'package:wallpaperx/page/wallpaper_det/wallpaper_det_view.dart';
import 'package:wallpaperx/page/wallpaper_det_v2/wallpaper_det_v2_binding.dart';
import 'package:wallpaperx/page/wallpaper_det_v2/wallpaper_det_v2_view.dart';
import 'package:wallpaperx/page/web_page/web_page_binding.dart';
import 'package:wallpaperx/page/web_page/web_page_view.dart';

class AppPages {
  AppPages._();

  /// 启动页面
  static const splashScreen = '/splash_screen';

  /// 首页
  static const home = '/home';

  /// 分类详情
  static const clsDet = '/cls_det';

  /// 壁纸详情
  static const wallpaperDet = '/wallpaper_det';

  /// 壁纸详情v2
  static const wallpaperDetV2 = '/wallpaper_det_v2';

  /// 关于
  static const about = '/about';

  /// 隐私政策
  static const privacyPolicy = '/privacy_policy';

  /// 服务条款
  static const termsOfService = '/terms_of_service';

  /// 分类
  static const category = '/category';

  /// 用户编辑/注册
  static const userEdit = '/user_edit';

  /// 登录
  static const login = '/login';

  /// ai 设置
  static const aiSetting = '/ai_setting';

  /// 搜索
  static const search = '/search';

  /// 反馈
  static const feedBack = '/feed_back';

  static final routes = [
    // GetPage(
    //   name: splashScreen,
    //   page: () => const SplashScreenView(),
    //   binding: SplashScreenBinding(),
    // ),
    GetPage(
      name: home,
      page: () => const HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: clsDet,
      page: () => const ClsDetView(),
      binding: ClsDetBinding(),
    ),
    GetPage(
      name: wallpaperDet,
      page: () => const WallpaperDetView(),
      binding: WallpaperDetBinding(),
    ),
    GetPage(
      name: wallpaperDetV2,
      page: () => const WallpaperDetV2View(),
      binding: WallpaperDetV2Binding(),
    ),
    GetPage(
      name: about,
      page: () => const AboutView(),
      binding: AboutBinding(),
    ),
    GetPage(
      name: privacyPolicy,
      page: () => const WebPageView(),
      binding: WebPageBinding(),
    ),
    GetPage(
      name: termsOfService,
      page: () => const WebPageView(),
      binding: WebPageBinding(),
    ),
    GetPage(
      name: category,
      page: () => const CategoryView(),
      binding: CategoryBinding(),
    ),
    GetPage(
      name: userEdit,
      page: () => const UserEditView(),
      binding: UserEditBinding(),
    ),
    GetPage(
      name: login,
      page: () => const LoginView(),
      binding: LoginBinding(),
    ),
    GetPage(
      name: aiSetting,
      page: () => const AiSettingView(),
      binding: AiSettingBinding(),
    ),
    GetPage(
      name: search,
      page: () => const SearchView(),
      binding: SearchBinding(),
    ),
    GetPage(
      name: feedBack,
      page: () => const FeedBackView(),
      binding: FeedBackBinding(),
    ),
  ];
}
